Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.management
Class StatisticImpl

    java.lang.Object
      org.codehaus.activemq.management.StatisticImpl

All Implemented Interfaces:
  Resettable, Statistic

Direct Known Subclasses:
  BoundaryStatisticImpl, CountStatisticImpl, RangeStatisticImpl, TimeStatisticImpl

public class StatisticImpl
extends java.lang.Object
implements Statistic, Resettable

Base class for a Statistic implementation

Version:
  $Revision: 1.1 $

Constructor Summary
`StatisticImpl(java.lang.String name, java.lang.String unit, java.lang.String description)`

Method Summary
`protected void` | `appendFieldDescription(java.lang.StringBuffer buffer)`
`java.lang.String` | `getDescription()`
`long` | `getLastSampleTime()`
`java.lang.String` | `getName()`
`long` | `getStartTime()`
`java.lang.String` | `getUnit()`
`void` | `reset()` Reset the statistic
`java.lang.String` | `toString()`
`protected void` | `updateSampleTime()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StatisticImpl

    public StatisticImpl(java.lang.String name,
                         java.lang.String unit,
                         java.lang.String description)

Method Detail

### reset

    public void reset()

  Description copied from interface: `Resettable`
  Reset the statistic

  Specified by:
    `reset` in interface `Resettable`

### updateSampleTime

    protected void updateSampleTime()

### toString

    public java.lang.String toString()

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Statistic`

### getUnit

    public java.lang.String getUnit()

  Specified by:
    `getUnit` in interface `Statistic`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `Statistic`

### getStartTime

    public long getStartTime()

  Specified by:
    `getStartTime` in interface `Statistic`

### getLastSampleTime

    public long getLastSampleTime()

  Specified by:
    `getLastSampleTime` in interface `Statistic`

### appendFieldDescription

    protected void appendFieldDescription(java.lang.StringBuffer buffer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.